<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="domain.socket-binding-group.socket-binding" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="client-mappings,fixed-port,interface,multicast-address,multicast-port,port"/>
        <elem name="addr-params" value="socket-binding-group,socket-binding"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="domain.socket-binding-group"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.network.socket-binding.$socket-binding"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.interface.$interface" optional="true"/>
    </requires>
    <refs>
        <ref feature="domain.socket-binding-group"/>
    </refs>
    <params>
        <param name="socket-binding-group" feature-id="true"/>
        <param name="fixed-port" nillable="true" stability="default"/>
        <param name="socket-binding" feature-id="true"/>
        <param name="port" nillable="true" stability="default"/>
        <param name="interface" nillable="true" stability="default"/>
        <param name="multicast-address" nillable="true" stability="default"/>
        <param name="client-mappings" nillable="true" stability="default"/>
        <param name="multicast-port" nillable="true" stability="default"/>
    </params>
</feature-spec>